<?php

declare(strict_types=1);

namespace Drupal\bt_layouts;

/**
 * Provides constants for the Layouts.
 */
final class DefaultConfigLayout {
  public const GRID_CONTAINER_SELECT = 'full';
  public const GRID_FULL_SELECT = '0';
  public const GRID_BOX_SELECT = '100%';

  public const GRID_PADDING_TOP_NONE = 'none';
  public const GRID_PADDING_TOP_ZERO = 'pt-0';
  public const GRID_PADDING_TOP_SMALL = 'pt-1';
  public const GRID_PADDING_TOP_HALF = 'pt-2';
  public const GRID_PADDING_TOP_NORMAL = 'pt-3';
  public const GRID_PADDING_TOP_DOUBLE = 'pt-4';
  public const GRID_PADDING_TOP_TRIPLE = 'pt-5';

  public const GRID_SM_PADDING_TOP_NONE = 'none';
  public const GRID_SM_PADDING_TOP_ZERO = 'pt-sm-0';
  public const GRID_SM_PADDING_TOP_SMALL = 'pt-sm-1';
  public const GRID_SM_PADDING_TOP_HALF = 'pt-sm-2';
  public const GRID_SM_PADDING_TOP_NORMAL = 'pt-sm-3';
  public const GRID_SM_PADDING_TOP_DOUBLE = 'pt-sm-4';
  public const GRID_SM_PADDING_TOP_TRIPLE = 'pt-sm-5';

  public const GRID_MD_PADDING_TOP_NONE = 'none';
  public const GRID_MD_PADDING_TOP_ZERO = 'pt-md-0';
  public const GRID_MD_PADDING_TOP_SMALL = 'pt-md-1';
  public const GRID_MD_PADDING_TOP_HALF = 'pt-md-2';
  public const GRID_MD_PADDING_TOP_NORMAL = 'pt-md-3';
  public const GRID_MD_PADDING_TOP_DOUBLE = 'pt-md-4';
  public const GRID_MD_PADDING_TOP_TRIPLE = 'pt-md-5';

  public const GRID_LG_PADDING_TOP_NONE = 'none';
  public const GRID_LG_PADDING_TOP_ZERO = 'pt-lg-0';
  public const GRID_LG_PADDING_TOP_SMALL = 'pt-lg-1';
  public const GRID_LG_PADDING_TOP_HALF = 'pt-lg-2';
  public const GRID_LG_PADDING_TOP_NORMAL = 'pt-lg-3';
  public const GRID_LG_PADDING_TOP_DOUBLE = 'pt-lg-4';
  public const GRID_LG_PADDING_TOP_TRIPLE = 'pt-lg-5';

  public const GRID_XL_PADDING_TOP_NONE = 'none';
  public const GRID_XL_PADDING_TOP_ZERO = 'pt-xl-0';
  public const GRID_XL_PADDING_TOP_SMALL = 'pt-xl-1';
  public const GRID_XL_PADDING_TOP_HALF = 'pt-xl-2';
  public const GRID_XL_PADDING_TOP_NORMAL = 'pt-xl-3';
  public const GRID_XL_PADDING_TOP_DOUBLE = 'pt-xl-4';
  public const GRID_XL_PADDING_TOP_TRIPLE = 'pt-xl-5';

  public const GRID_XXL_PADDING_TOP_NONE = 'none';
  public const GRID_XXL_PADDING_TOP_ZERO = 'pt-xxl-0';
  public const GRID_XXL_PADDING_TOP_SMALL = 'pt-xxl-1';
  public const GRID_XXL_PADDING_TOP_HALF = 'pt-xxl-2';
  public const GRID_XXL_PADDING_TOP_NORMAL = 'pt-xxl-3';
  public const GRID_XXL_PADDING_TOP_DOUBLE = 'pt-xxl-4';
  public const GRID_XXL_PADDING_TOP_TRIPLE = 'pt-xxl-5';

  public const GRID_PADDING_BOTTOM_NONE = 'none';
  public const GRID_PADDING_BOTTOM_ZERO = 'pb-0';
  public const GRID_PADDING_BOTTOM_SMALL = 'pb-1';
  public const GRID_PADDING_BOTTOM_HALF = 'pb-2';
  public const GRID_PADDING_BOTTOM_NORMAL = 'pb-3';
  public const GRID_PADDING_BOTTOM_DOUBLE = 'pb-4';
  public const GRID_PADDING_BOTTOM_TRIPLE = 'pb-5';

  public const GRID_SM_PADDING_BOTTOM_NONE = 'none';
  public const GRID_SM_PADDING_BOTTOM_ZERO = 'pb-sm-0';
  public const GRID_SM_PADDING_BOTTOM_SMALL = 'pb-sm-1';
  public const GRID_SM_PADDING_BOTTOM_HALF = 'pb-sm-2';
  public const GRID_SM_PADDING_BOTTOM_NORMAL = 'pb-sm-3';
  public const GRID_SM_PADDING_BOTTOM_DOUBLE = 'pb-sm-4';
  public const GRID_SM_PADDING_BOTTOM_TRIPLE = 'pb-sm-5';

  public const GRID_MD_PADDING_BOTTOM_NONE = 'none';
  public const GRID_MD_PADDING_BOTTOM_ZERO = 'pb-md-0';
  public const GRID_MD_PADDING_BOTTOM_SMALL = 'pb-md-1';
  public const GRID_MD_PADDING_BOTTOM_HALF = 'pb-md-2';
  public const GRID_MD_PADDING_BOTTOM_NORMAL = 'pb-md-3';
  public const GRID_MD_PADDING_BOTTOM_DOUBLE = 'pb-md-4';
  public const GRID_MD_PADDING_BOTTOM_TRIPLE = 'pb-md-5';

  public const GRID_LG_PADDING_BOTTOM_NONE = 'none';
  public const GRID_LG_PADDING_BOTTOM_ZERO = 'pb-lg-0';
  public const GRID_LG_PADDING_BOTTOM_SMALL = 'pb-lg-1';
  public const GRID_LG_PADDING_BOTTOM_HALF = 'pb-lg-2';
  public const GRID_LG_PADDING_BOTTOM_NORMAL = 'pb-lg-3';
  public const GRID_LG_PADDING_BOTTOM_DOUBLE = 'pb-lg-4';
  public const GRID_LG_PADDING_BOTTOM_TRIPLE = 'pb-lg-5';

  public const GRID_XL_PADDING_BOTTOM_NONE = 'none';
  public const GRID_XL_PADDING_BOTTOM_ZERO = 'pb-xl-0';
  public const GRID_XL_PADDING_BOTTOM_SMALL = 'pb-xl-1';
  public const GRID_XL_PADDING_BOTTOM_HALF = 'pb-xl-2';
  public const GRID_XL_PADDING_BOTTOM_NORMAL = 'pb-xl-3';
  public const GRID_XL_PADDING_BOTTOM_DOUBLE = 'pb-xl-4';
  public const GRID_XL_PADDING_BOTTOM_TRIPLE = 'pb-xl-5';

  public const GRID_XXL_PADDING_BOTTOM_NONE = 'none';
  public const GRID_XXL_PADDING_BOTTOM_ZERO = 'pb-xxl-0';
  public const GRID_XXL_PADDING_BOTTOM_SMALL = 'pb-xxl-1';
  public const GRID_XXL_PADDING_BOTTOM_HALF = 'pb-xxl-2';
  public const GRID_XXL_PADDING_BOTTOM_NORMAL = 'pb-xxl-3';
  public const GRID_XXL_PADDING_BOTTOM_DOUBLE = 'pb-xxl-4';
  public const GRID_XXL_PADDING_BOTTOM_TRIPLE = 'pb-xxl-5';

  public const GRID_GAP_NONE = 'none';
  public const GRID_GAP_ZERO = 'gap-0';
  public const GRID_GAP_SMALL = 'gap-1';
  public const GRID_GAP_HALF = 'gap-2';
  public const GRID_GAP_NORMAL = 'gap-3';
  public const GRID_GAP_DOUBLE = 'gap-4';
  public const GRID_GAP_TRIPLE = 'gap-5';

  public const GRID_SM_GAP_NONE = 'none';
  public const GRID_SM_GAP_ZERO = 'gap-sm-0';
  public const GRID_SM_GAP_SMALL = 'gap-sm-1';
  public const GRID_SM_GAP_HALF = 'gap-sm-2';
  public const GRID_SM_GAP_NORMAL = 'gap-sm-3';
  public const GRID_SM_GAP_DOUBLE = 'gap-sm-4';
  public const GRID_SM_GAP_TRIPLE = 'gap-sm-5';

  public const GRID_MD_GAP_NONE = 'none';
  public const GRID_MD_GAP_ZERO = 'gap-md-0';
  public const GRID_MD_GAP_SMALL = 'gap-md-1';
  public const GRID_MD_GAP_HALF = 'gap-md-2';
  public const GRID_MD_GAP_NORMAL = 'gap-md-3';
  public const GRID_MD_GAP_DOUBLE = 'gap-md-4';
  public const GRID_MD_GAP_TRIPLE = 'gap-md-5';

  public const GRID_LG_GAP_NONE = 'none';
  public const GRID_LG_GAP_ZERO = 'gap-lg-0';
  public const GRID_LG_GAP_SMALL = 'gap-lg-1';
  public const GRID_LG_GAP_HALF = 'gap-lg-2';
  public const GRID_LG_GAP_NORMAL = 'gap-lg-3';
  public const GRID_LG_GAP_DOUBLE = 'gap-lg-4';
  public const GRID_LG_GAP_TRIPLE = 'gap-lg-5';

  public const GRID_XL_GAP_NONE = 'none';
  public const GRID_XL_GAP_ZERO = 'gap-xl-0';
  public const GRID_XL_GAP_SMALL = 'gap-xl-1';
  public const GRID_XL_GAP_HALF = 'gap-xl-2';
  public const GRID_XL_GAP_NORMAL = 'gap-xl-3';
  public const GRID_XL_GAP_DOUBLE = 'gap-xl-4';
  public const GRID_XL_GAP_TRIPLE = 'gap-xl-5';

  public const GRID_XXL_GAP_NONE = 'none';
  public const GRID_XXL_GAP_ZERO = 'gap-xxl-0';
  public const GRID_XXL_GAP_SMALL = 'gap-xxl-1';
  public const GRID_XXL_GAP_HALF = 'gap-xxl-2';
  public const GRID_XXL_GAP_NORMAL = 'gap-xxl-3';
  public const GRID_XXL_GAP_DOUBLE = 'gap-xxl-4';
  public const GRID_XXL_GAP_TRIPLE = 'gap-xxl-5';

  public const GRID_BACKGROUND_COLOR_DEFAULT = 'default';
  public const GRID_BACKGROUND_COLOR_PRIMARY = 'bs-primary';
  public const GRID_BACKGROUND_COLOR_PRIMARY_050 = 'bs-primary-050';
  public const GRID_BACKGROUND_COLOR_PRIMARY_100 = 'bs-primary-100';
  public const GRID_BACKGROUND_COLOR_PRIMARY_200 = 'bs-primary-200';
  public const GRID_BACKGROUND_COLOR_PRIMARY_300 = 'bs-primary-300';
  public const GRID_BACKGROUND_COLOR_PRIMARY_400 = 'bs-primary-400';
  public const GRID_BACKGROUND_COLOR_PRIMARY_500 = 'bs-primary-500';
  public const GRID_BACKGROUND_COLOR_PRIMARY_600 = 'bs-primary-600';
  public const GRID_BACKGROUND_COLOR_PRIMARY_700 = 'bs-primary-700';
  public const GRID_BACKGROUND_COLOR_PRIMARY_800 = 'bs-primary-800';
  public const GRID_BACKGROUND_COLOR_PRIMARY_900 = 'bs-primary-900';
  public const GRID_BACKGROUND_COLOR_SECONDARY = 'bs-secondary';
  public const GRID_BACKGROUND_COLOR_SECONDARY_050 = 'bs-secondary-050';
  public const GRID_BACKGROUND_COLOR_SECONDARY_100 = 'bs-secondary-100';
  public const GRID_BACKGROUND_COLOR_SECONDARY_200 = 'bs-secondary-200';
  public const GRID_BACKGROUND_COLOR_SECONDARY_300 = 'bs-secondary-300';
  public const GRID_BACKGROUND_COLOR_SECONDARY_400 = 'bs-secondary-400';
  public const GRID_BACKGROUND_COLOR_SECONDARY_500 = 'bs-secondary-500';
  public const GRID_BACKGROUND_COLOR_SECONDARY_600 = 'bs-secondary-600';
  public const GRID_BACKGROUND_COLOR_SECONDARY_700 = 'bs-secondary-700';
  public const GRID_BACKGROUND_COLOR_SECONDARY_800 = 'bs-secondary-800';
  public const GRID_BACKGROUND_COLOR_SECONDARY_900 = 'bs-secondary-900';
  public const GRID_BACKGROUND_COLOR_ACCENT = 'bs-accent';
  public const GRID_BACKGROUND_COLOR_ACCENT_050 = 'bs-accent-050';
  public const GRID_BACKGROUND_COLOR_ACCENT_100 = 'bs-accent-100';
  public const GRID_BACKGROUND_COLOR_ACCENT_200 = 'bs-accent-200';
  public const GRID_BACKGROUND_COLOR_ACCENT_300 = 'bs-accent-300';
  public const GRID_BACKGROUND_COLOR_ACCENT_400 = 'bs-accent-400';
  public const GRID_BACKGROUND_COLOR_ACCENT_500 = 'bs-accent-500';
  public const GRID_BACKGROUND_COLOR_ACCENT_600 = 'bs-accent-600';
  public const GRID_BACKGROUND_COLOR_ACCENT_700 = 'bs-accent-700';
  public const GRID_BACKGROUND_COLOR_ACCENT_800 = 'bs-accent-800';
  public const GRID_BACKGROUND_COLOR_ACCENT_900 = 'bs-accent-900';
  public const GRID_BACKGROUND_COLOR_SUCCESS = 'bs-success';
  public const GRID_BACKGROUND_COLOR_INFO = 'bs-info';
  public const GRID_BACKGROUND_COLOR_WARNING = 'bs-warning';
  public const GRID_BACKGROUND_COLOR_DANGER = 'bs-danger';
  public const GRID_BACKGROUND_COLOR_LIGHT = 'bs-light';
  public const GRID_BACKGROUND_COLOR_DARK = 'bs-dark';
  public const GRID_BACKGROUND_COLOR_BLUE = 'bs-blue';
  public const GRID_BACKGROUND_COLOR_INDIGO = 'bs-indigo';
  public const GRID_BACKGROUND_COLOR_PURPLE = 'bs-purple';
  public const GRID_BACKGROUND_COLOR_PINK = 'bs-pink';
  public const GRID_BACKGROUND_COLOR_RED = 'bs-red';
  public const GRID_BACKGROUND_COLOR_ORANGE = 'bs-orange';
  public const GRID_BACKGROUND_COLOR_YELLOW = 'bs-yellow';
  public const GRID_BACKGROUND_COLOR_GREEN = 'bs-green';
  public const GRID_BACKGROUND_COLOR_TEAL = 'bs-teal';
  public const GRID_BACKGROUND_COLOR_CYAN = 'bs-cyan';
  public const GRID_BACKGROUND_COLOR_WHITE = 'bs-white';
  public const GRID_BACKGROUND_COLOR_GRAY_DARK = 'bs-gray-dark';
  public const GRID_BACKGROUND_COLOR_GRAY_100 = 'bs-gray-100';
  public const GRID_BACKGROUND_COLOR_GRAY_200 = 'bs-gray-200';
  public const GRID_BACKGROUND_COLOR_GRAY_300 = 'bs-gray-300';
  public const GRID_BACKGROUND_COLOR_GRAY_400 = 'bs-gray-400';
  public const GRID_BACKGROUND_COLOR_GRAY_500 = 'bs-gray-500';
  public const GRID_BACKGROUND_COLOR_GRAY_600 = 'bs-gray-600';
  public const GRID_BACKGROUND_COLOR_GRAY_700 = 'bs-gray-700';
  public const GRID_BACKGROUND_COLOR_GRAY_800 = 'bs-gray-800';
  public const GRID_BACKGROUND_COLOR_GRAY_900 = 'bs-gray-900';
  public const GRID_BACKGROUND_COLOR_CUSTOM = 'customColor';

}
